/**
 * DerefAliasesType.java
 *
 * File generated from the core::DerefAliasesType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.hpd;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration DerefAliasesType.
 *
 */

@XmlType(name = "DerefAliasesType")
@XmlEnum
@XmlRootElement(name = "DerefAliasesType")
public enum DerefAliasesType {
	@XmlEnumValue("neverDerefAliases")
	NEVERDEREFALIASES("neverDerefAliases"),
	@XmlEnumValue("derefInSearching")
	DEREFINSEARCHING("derefInSearching"),
	@XmlEnumValue("derefFindingBaseObj")
	DEREFFINDINGBASEOBJ("derefFindingBaseObj"),
	@XmlEnumValue("derefAlways")
	DEREFALWAYS("derefAlways");
	
	private final String value;

    DerefAliasesType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static DerefAliasesType fromValue(String v) {
        for (DerefAliasesType c: DerefAliasesType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}